# $Revision: 1.12 $, $Date: 2002/06/27 09:54:30 $
Summary:	ICQ transport module for Jabber
Summary(pl):	Modu transportowy ICQ dla systemu Jabber
Name:		jabber-icq-transport
Version:	0.9.1
Release:	1
License:	distributable
Group:		Applications/Communications
Source0:	http://download.jabber.org/cvs/icq-transport.tgz
Source1:	icqtrans.xml
Patch0:		%{name}-Makefile.patch
URL:		http://www.jabber.org/
BuildRequires:	jabber-devel
%requires_eq  	jabber
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Jabber communicate with ICQ servers.

%description -l pl
Modu ten umoliwia uytkownikom Jabber komunikowa si z
uytkownikami ICQ.

%prep
%setup -qn icq-transport
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}}/jabberd

install icqtrans.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/jabberd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -r /var/lock/subsys/jabberd ]; then
	if [ -r /var/lock/subsys/jabber-icqtrans ]; then
        	/etc/rc.d/init.d/jabberd restart icqtrans >&2
	else
        	echo "Run \"/etc/rc.d/init.d/jabberd start icqtrans\" to start ICQ transport."
	fi
else
        echo "Run \"/etc/rc.d/init.d/jabberd start\" to start Jabber server."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jabber-icqtrans ]; then
		/etc/rc.d/init.d/jabberd stop icqtrans >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/jabberd/*
%attr(640,root,jabber) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/jabberd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jabber-icq-transport.spec,v $
Revision 1.12  2002/06/27 09:54:30  kloczek
- use new %doc and few cleanups.

Revision 1.11  2002/04/25 16:38:08  arturs
fixed a small typo

Revision 1.10  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/09 15:30:16  jajcus
- %%requires_eq jabber

Revision 1.7  2002/02/08 16:05:08  jajcus
- updates for new jabber.spec

Revision 1.6  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/26 10:37:50  jajcus
- sample config file, for use with new jabber init script

Revision 1.4  2001/12/20 19:23:53  jajcus
- complete rewrite --- I did it all wrong

Revision 1.3  2001/12/20 15:04:45  jajcus
- made it compile (but it doesn't seem to work)

Revision 1.2  2001/12/20 10:31:27  qboosh
- more Groups

Revision 1.1  2001/12/19 20:27:59  jajcus
- initial spec; NFY
